---
sidebar_position: 1
---

# Project status

Libre Wedding Planner is a project that was born a few months ago, and **is not production-ready just yet**. We are currently
working on the basic features we need from this software, and hope to release them during the upcoming months.

## Features supported

The following list includes features that are already developed and ready for use:

- Email/password authentication
- Multitenancy (manage multiple weddings on a single host)

### Guest management

- List, create, modify, and remove guests along with their RSVP status:
- Invited: The guest is (or will be) invited to the wedding, but they have not confirmed or denied attendance yet.
  - Tentative: The guest has confirmed their attendance, but there are external factors (e.g., visas) that may affect their commitment.
  - Accepted: The guest has confirmed their attendance.
  - Declined: The guest won't attend to the event.
  - Considered: The guest has not been invited yet, but they may be depending on a number of factors.
- Display a list of groups along with their color and the number of guests per RSVP status.
- Display a list of expenses with the amount and type (fixed or per guest).

### Seating plan simulations

- Calculate the affinity between groups based on their proximity in the groups hierarchy trees.
- Generate seating plan simulations, favoring the proximity among guests sitting down at the table.
- Automatic regeneration of the simulations after a RSVP change.
## Upcoming features

We want to improve existing features as well as build completely new ones. Here are some ideas we have in mind:

- (WIP) Improve the overall experience of managing guests, groups and expenses, allowing the creation, modification and deletion of any element.
- (WIP) Dashboard with a summary of all relevant numbers.
  we will need to sort out before offering a hosted version of Libre Wedding Planner.
- (WIP) Sign up flow, allowing users to create their own wedding.
- Allow multiple users to manage the wedding.
- Generation of wedding website with public information.
- Generation of RSVP links and forms to collect dietary restrictions and transport preferences.
- Internationalization

The software is currently tailored to the specific needs of those developing it. For example, currencies are hard-coded as Euros for the time
being, which is something we'll need to change to support other regions.

We're still defining the procedures to take part in the project, either by reporting issues, suggesting features, or adding features to
the codebase. Please, stay patient while we set up the procedures.